/*
 * SortOrder.java
 */

package com.builder.uk.todotasks;

public class SortOrder {
    
    public enum TaskField {
        TASKID,NAME,PRIORITY,DONE,COMPLETED,DUE
    }
    
    private TaskField field;
    private boolean descending;
    
    public SortOrder() {
        this(TaskField.TASKID,false);
    }
    
    public SortOrder(TaskField f,boolean d) {
        setField(f);
        setDescending(d);
    }
    
    public TaskField getField() {
        return field;
    }
    
    public void setField(TaskField field) {
        this.field = field;
    }
    
    public boolean isDescending() {
        return descending;
    }
    
    public void setDescending(boolean descending) {
        this.descending = descending;
    }
    
    
}
