/*
 * DateCellRenderer.java
 *
 * Created on 10 June 2006, 10:48
 */

package com.builder.uk.todotasks;

import java.awt.Component;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.swing.JFormattedTextField;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

/**
 *
 * @author dj
 */
public class DateCellRenderer implements TableCellRenderer {
    JFormattedTextField formattedField=new JFormattedTextField(new DateOrBlankFormatter());
    
    /** Creates a new instance of DateCellRenderer */
    public DateCellRenderer() {
        formattedField.setBorder(null);
    }
    
     public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
         formattedField.setValue(value);
         return formattedField;
    }
}
