/*
 * DateOrBlankFormatter.java
 *
 * Created on 10 June 2006, 11:43
 */

package com.builder.uk.todotasks;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.swing.JFormattedTextField;

/**
 *
 * @author dj
 */
public class DateOrBlankFormatter extends JFormattedTextField.AbstractFormatter {
    SimpleDateFormat sdf=new SimpleDateFormat("d/M/yyyy");
    
    /** Creates a new instance of DateOrBlankFormatter */
    public DateOrBlankFormatter() {
    }

    public Object stringToValue(String text) throws ParseException {
        if(text==null) return null;
        if(text.equals("")) return null;
        Date d=sdf.parse(text);
        return d;
    }

    public String valueToString(Object value) throws ParseException {
        if(value==null) return null;
        if(value instanceof String && value.equals("")) return null;
        if(value instanceof Date) return sdf.format((Date)value);
        return null;
    }
    
}
